## pyside-mobility 0.1-0maemo1

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pysidemobility)

cmake_minimum_required(VERSION 2.6)

if(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimization library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden -Wno-strict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()

    if(CMAKE_HOST_APPLE)
        if (NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
         endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

option(AVOID_PROTECTED_HACK "Avoid protected hack on generated bindings." FALSE)
if(AVOID_PROTECTED_HACK OR WIN32)
    add_definitions(-DAVOID_PROTECTED_HACK)
    message(STATUS "Avoiding protected hack!")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
                      ${CMAKE_MODULE_PATH})
find_package(PythonLibs REQUIRED)
find_package(PythonInterpWithDebug REQUIRED)
find_package(Shiboken REQUIRED)
find_package(PySide 0.4.0 REQUIRED)
find_package(Qt4 4.6.2 REQUIRED)
SET(SUPPORTED_QT_VERSION "4.6.0")
find_package(QtMobility 1.0.0 REQUIRED )

set(BINDING_NAME QtMobility)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "1")
set(BINDING_API_MICRO_VERSION "0")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(${QT_USE_FILE})

set(BINDING_VERSION ${BINDING_API_VERSION})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


set(ARCHIVE_NAME pyside-mobility-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif()

# Detect if the python libs were compiled in debug mode
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_config_var('Py_DEBUG')"
    OUTPUT_VARIABLE PY_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (PY_DEBUG)
    add_definitions("-DPy_DEBUG")
endif()

set(GENERATOR_EXTRA_FLAGS --generatorSet=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic)

enable_testing()

add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== QtMobility/CMakeLists.txt ===
project(mobility)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
        DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")

link_directories(${QT_MOBILITY_LIBRARY_DIR})

macro(CREATE_PYSIDE_MODULE MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    STRING(TOLOWER ${BINDING_NAME} LOWER_BINDING_NAME)
    include_directories(${MODULE_NAME} ${${INC_DIRS}})
    add_library(${MODULE_NAME} MODULE ${${SRCS}})
    set_property(TARGET ${MODULE_NAME} PROPERTY PREFIX "")
    target_link_libraries(${MODULE_NAME} ${${LINK_LIBS}})

    add_custom_command(OUTPUT ${${SRCS}}
                        COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
                        ${CMAKE_SOURCE_DIR}/${BINDING_NAME}/global.h
                        --include-paths=${QT_INCLUDE_DIR}:${QT_MOBILITY_INCLUDE_DIR}:${MODULE_INCLUDE_DIR}
                        --typesystem-paths=${typesystem_path}:${PYSIDE_TYPESYSTEMS}
                        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
                        --license-file=${CMAKE_CURRENT_SOURCE_DIR}/../licensecomment.txt
                        ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_${LOWER_MODULE_NAME}.xml
                        --api-version=${QT_MOBILITY_MAJOR_VERSION}.${QT_MOBILITY_MINOR_VERSION}
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        COMMENT "Running generator for ${MODULE_NAME}..."
                       )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}.so DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}/${LOWER_BINDING_NAME}_${LOWER_MODULE_NAME}_python.h
            DESTINATION include/Py${BINDING_NAME}/${MODULE_NAME}/)

    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}${CMAKE_SHARED_MODULE_SUFFIX}"
                                                               "${CMAKE_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}${CMAKE_SHARED_MODULE_SUFFIX}")
endmacro(CREATE_PYSIDE_MODULE)


execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                           "${CMAKE_BINARY_DIR}/${BINDING_NAME}/__init__.py")

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Module ${component} found.")
        add_subdirectory(${component})
    ELSE()
        message("Module ${component} not found. ${component} support disabled.")
    ENDIF()
endmacro()

IF(${QTVERSION} VERSION_LESS 4.7.0)
    add_if_found(Bearer)
ENDIF()

add_if_found(Contacts)
add_if_found(Location)
add_if_found(Messaging)
add_if_found(MultimediaKit)
add_if_found(PublishSubscribe)
add_if_found(Sensors)
add_if_found(ServiceFramework)
add_if_found(SystemInfo)
add_if_found(Versit)

=== tests/CMakeLists.txt ===
set(QTMOBILITY_TIMEOUT 10)

macro(QTMOBILITY_TEST)
    string(REGEX MATCH "/([^/]+)//?([^/]+)\\.py" foo "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}" )
    set(TEST_NAME "${CMAKE_MATCH_1}_${CMAKE_MATCH_2}")
    if (${ARGC} EQUAL 1)
        set(EXPECT_TO_FAIL 0)
    elseif(${ARGC} EQUAL 2)
        set(EXPECT_TO_FAIL ${ARGV1})
    else()
        message(WARNING "Ivalid call of macro QTMOBILITY_TEST")
    endif()
    set(TEST_CMD ${CMAKE_SOURCE_DIR}/tests/run_test.sh  "${CMAKE_BINARY_DIR}:${CMAKE_SOURCE_DIR}/tests/util" ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}")
    add_test(${TEST_NAME} ${TEST_CMD})
    set_tests_properties(${TEST_NAME} PROPERTIES
                         TIMEOUT ${QTMOBILITY_TIMEOUT}
                         WILL_FAIL ${EXPECT_TO_FAIL})
endmacro(QTMOBILITY_TEST)

add_subdirectory(QtPublishSubscribe)

=== QtMobility/Bearer/CMakeLists.txt ===
project(Bearer)

set(Bearer_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/bearer_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_bearer_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfigurationmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfigurationmanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfiguration_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworkconfiguration_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworksession_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/qtmobility_qnetworksession_wrapper.h
)

set(Bearer_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Bearer/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_BEARER_INCLUDE_DIR}
)

set(Bearer_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_BEARER_LIBRARY}
)

CREATE_PYSIDE_MODULE(Bearer
                     ${QT_MOBILITY_BEARER_INCLUDE_DIR}
                     Bearer_SRC
                     Bearer_INCLUDE_DIRECTORIES
                     Bearer_LINK_LIBRARIES)

=== QtMobility/Contacts/CMakeLists.txt ===
project(Contacts)

set(Contacts_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/contacts_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_contacts_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactabstractrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactanniversary_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactanniversary_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactavatar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactavatar_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactbirthday_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactbirthday_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangelogfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangelogfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactchangeset_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinitionsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetaildefinition_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfielddefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfielddefinition_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailrangefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetailrangefilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdetail_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdisplaylabel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactdisplaylabel_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactemailaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactemailaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfamily_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfamily_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchhint_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgender_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgender_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgeolocation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactgeolocation_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactglobalpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactglobalpresence_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactguid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactguid_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactid_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactintersectionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactinvalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactinvalidfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactlocalidfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginefactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerenginefactory_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanagerengine_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactmanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactname_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnickname_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnickname_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnote_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactnote_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactonlineaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactonlineaccount_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactorganization_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactorganization_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactphonenumber_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactphonenumber_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactpresence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactpresence_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfetchrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationshipsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationship_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactrelationship_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactremoverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactringtone_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactringtone_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsaverequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsortorder_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsynctarget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactsynctarget_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttag_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactthumbnail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactthumbnail_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttimestamp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttimestamp_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacttype_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontactunionfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacturl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontacturl_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontact_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Contacts/qtmobility_qcontact_wrapper.h
)

set(Contacts_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
)

set(Contacts_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Contacts
                     ${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
                     Contacts_SRC
                     Contacts_INCLUDE_DIRECTORIES
                     Contacts_LINK_LIBRARIES)

=== QtMobility/Location/CMakeLists.txt ===
project(Location)

set(Location_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/location_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_location_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoareamonitor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeoareamonitor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeocoordinate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeocoordinate_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeopositioninfosource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeopositioninfosource_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeopositioninfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeopositioninfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosatelliteinfosource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosatelliteinfosource_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosatelliteinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qgeosatelliteinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qnmeapositioninfosource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Location/qtmobility_qnmeapositioninfosource_wrapper.h
)

set(Location_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_LOCATION_INCLUDE_DIR}
)

set(Location_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_LOCATION_LIBRARY}
)

CREATE_PYSIDE_MODULE(Location
                     ${QT_MOBILITY_LOCATION_INCLUDE_DIR}
                     Location_SRC
                     Location_INCLUDE_DIRECTORIES
                     Location_LINK_LIBRARIES)

=== QtMobility/Messaging/CMakeLists.txt ===
project(Messaging)

set(Messaging_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/messaging_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccountsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaccount_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainerid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagecontentcontainer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagedatacomparator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolderid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefoldersortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagefolder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessageservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessagesortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Messaging/qtmobility_qmessage_wrapper.cpp                                                                                                                                           )

set(Messaging_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
)

set(Messaging_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_MESSAGING_LIBRARY}
)

CREATE_PYSIDE_MODULE(Messaging
                     ${QT_MOBILITY_MESSAGING_INCLUDE_DIR}
                     Messaging_SRC
                     Messaging_INCLUDE_DIRECTORIES
                     Messaging_LINK_LIBRARIES)

=== QtMobility/PublishSubscribe/CMakeLists.txt ===
project(PublishSubscribe)

set(PublishSubscribe_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/publishsubscribe_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespacepublisher_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/PublishSubscribe/qtmobility_qvaluespacesubscriber_wrapper.cpp
)

set(PublishSubscribe_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PUBLISHSUBSCRIBE_INCLUDE_DIR}
)

set(PublishSubscribe_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_PUBLISHSUBSCRIBE_LIBRARY}
)

CREATE_PYSIDE_MODULE(PublishSubscribe
                     ${QT_MOBILITY_PUBLISHSUBSCRIBE_INCLUDE_DIR}
                     PublishSubscribe_SRC
                     PublishSubscribe_INCLUDE_DIRECTORIES
                     PublishSubscribe_LINK_LIBRARIES)

=== QtMobility/Sensors/CMakeLists.txt ===
project(Sensors)

set(Sensors_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometerreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qaccelerometer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qambientlightsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompassreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompass_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qcompass_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometerreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qmagnetometer_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qorientationsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qoutputrange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qoutputrange_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximityreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximitysensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qproximitysensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qrotationsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackendfactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackendfactory_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackend_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorbackend_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensormanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensormanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorplugininterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensorreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapfilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapreading_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapreading_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapsensor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_qtapsensor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/qtmobility_sensors_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Sensors/sensors_module_wrapper.cpp
)

set(Sensors_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_SENSORS_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
)

set(Sensors_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SENSORS_LIBRARY}
)

CREATE_PYSIDE_MODULE(Sensors
                     ${QT_MOBILITY_SENSORS_INCLUDE_DIR}
                     Sensors_SRC
                     Sensors_INCLUDE_DIRECTORIES
                     Sensors_LINK_LIBRARIES)

=== QtMobility/ServiceFramework/CMakeLists.txt ===
project(ServiceFramework)

set(ServiceFramework_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qabstractsecuritysession_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qabstractsecuritysession_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservice_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicecontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicecontext_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicefilter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceinterfacedescriptor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceinterfacedescriptor_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicemanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qservicemanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceplugininterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_qserviceplugininterface_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/qtmobility_serviceframework_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/ServiceFramework/serviceframework_module_wrapper.cpp
)

set(ServiceFramework_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
)

set(ServiceFramework_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_SERVICEFRAMEWORK_LIBRARY}
)

CREATE_PYSIDE_MODULE(ServiceFramework
                     ${QT_MOBILITY_SERVICEFRAMEWORK_INCLUDE_DIR}
                     ServiceFramework_SRC
                     ServiceFramework_INCLUDE_DIRECTORIES
                     ServiceFramework_LINK_LIBRARIES)

=== QtMobility/SystemInfo/CMakeLists.txt ===
project(SystemInfo)

set(SystemInfo_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_systeminfo_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdisplayinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemdisplayinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsysteminfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsysteminfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemnetworkinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemnetworkinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemscreensaver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemscreensaver_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemstorageinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/qtmobility_qsystemstorageinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/SystemInfo/systeminfo_module_wrapper.cpp
)

set(SystemInfo_INCLUDE_DIRECTORIES
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
)

set(SystemInfo_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_SYSTEMINFO_LIBRARY}
)

CREATE_PYSIDE_MODULE(SystemInfo
                     ${QT_MOBILITY_SYSTEMINFO_INCLUDE_DIR}
                     SystemInfo_SRC
                     SystemInfo_INCLUDE_DIRECTORIES
                     SystemInfo_LINK_LIBRARIES)

=== QtMobility/Versit/CMakeLists.txt ===
project(Versit)

set(Versit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdefaultresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdefaultresourcehandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdocument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdocument_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitproperty_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitreader_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitresourcehandler_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitwriter_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_versit_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/versit_module_wrapper.cpp
)

set(Versit_INCLUDE_DIRECTORIES
${Contacts_BINARY_DIR}/${BINDING_NAME}/Contacts/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
${QT_MOBILITY_VERSIT_INCLUDE_DIR}
)

set(Versit_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
${QT_MOBILITY_VERSIT_LIBRARY}
)
set(typesystem_path ${Contacts_SOURCE_DIR})
CREATE_PYSIDE_MODULE(Versit
                     ${QT_MOBILITY_VERSIT_INCLUDE_DIR}:${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
                     Versit_SRC
                     Versit_INCLUDE_DIRECTORIES
                     Versit_LINK_LIBRARIES)

set(typesystem_path "")

add_dependencies(Versit Contacts)

=== debian/changelog ===
pyside-mobility (0.1-0maemo1) unstable; urgency=low

  * Initial Release

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 30 Jul 2010 16:21:54 -0400

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Bruno Araujo <bruno.araujo@indt.org.br>
Build-Depends: debhelper7, cmake (>= 2.6.0), python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), shiboken (>= 0.4.0), generatorrunner (>= 0.6.0), libshiboken-dev (>= 0.4.0), pyside-qt4 (>= 0.4.0), libpyside-dev (>= 0.4.0)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: pyside-mobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 pyside-mobility-contacts (>= ${binary:Version}),
	 pyside-mobility-location (>= ${binary:Version}),
	 pyside-mobility-sensors (>= ${binary:Version}),
	 pyside-mobility-serviceframework (>= ${binary:Version}),
	 pyside-mobility-systeminfo (>= ${binary:Version}),
	 pyside-mobility-versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: pyside-mobility-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 pyside-mobility-contacts (>= ${binary:Version}),
	 pyside-mobility-location (>= ${binary:Version}),
	 pyside-mobility-sensors (>= ${binary:Version}),
	 pyside-mobility-serviceframework (>= ${binary:Version}),
	 pyside-mobility-systeminfo (>= ${binary:Version}),
	 pyside-mobility-versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: pyside-mobility-contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core, pyside-qt4-gui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: pyside-mobility-location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: pyside-mobility-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: pyside-mobility-serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: pyside-mobility-systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core, pyside-qt4-network
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: pyside-mobility-versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pyside-qt4-core, pyside-qt4-gui, pyside-mobility-contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find Qt 4.6 on Maemo
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --buildsystem=cmake --parallel $@

LDFLAGS="-Wl,--reduce-memory-overheads"

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)


#### CONFIGURE ####

override_dh_auto_configure: $(PYVERSIONS:%=override_dh_auto_configure_dbg-%) $(PYVERSIONS:%=override_dh_auto_configure-%)
	
override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure --builddirectory=build-$*-dbg -- \
        -DCMAKE_BUILD_TYPE:STRING="Debug" \
        -DCMAKE_SKIP_RPATH=true \
        -DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake" \
        -DCMAKE_PYTHON_VERSION="$*-dbg;$*" \
        -DCMAKE_PYTHONLIB_VERSION="$*_d;$*" \
        -DCMAKE_DEBUG_POSTFIX=_d \
        -DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
        -DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)


override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure --builddirectory=build-$* -- \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_MODULE_PATH="$(shell pwd)/debian/cmake/" \
	-DCMAKE_PYTHON_VERSION=$* \
	-DCMAKE_PYTHONLIB_VERSION=$* \
	-DLIBPYSIDE_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -) \
	-DSHIBOKEN_POSTFIX=$(shell echo -py$* | sed -e 's/\.//g' -)

#### BUILD ####

override_dh_auto_build: $(PYVERSIONS:%=override_dh_auto_build_dbg-%) $(PYVERSIONS:%=override_dh_auto_build-%)
	
override_dh_auto_build_dbg-%:
	dh_auto_build --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	        dh_auto_build --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(PYVERSIONS:%=override_dh_auto_install_dbg-%) $(PYVERSIONS:%=override_dh_auto_install-%)
	
override_dh_auto_install_dbg-%:
	dh_auto_install --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	        dh_auto_install --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip --dbg-package=pyside-mobility-dbg --exclude=_d.so
		
#### TEST ####

override_dh_auto_test: $(PYVERSIONS:%=override_dh_auto_test_dbg-%) $(PYVERSIONS:%=override_dh_auto_test-%)
	
override_dh_auto_test_dbg-%:
	- dh_auto_test --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	- dh_auto_test --builddirectory=build-$*

#### CLEAN ####

override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_real

override_dh_install_first:
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2.so$$3/'\
       	debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)

override_dh_install_real: override_dh_install_first
	# Do the legacy install
	dh_install --list-missing
